开发一个应用程序黑莓

<p>我想开始开发黑莓应用程序,但我发现的是,你必须选择使用开发的应用程序,它的开发环境和技术。黑莓的开发者网站是不是太有帮助。我读了几篇文章那里,我仍然不知道我需要什么去开始这个程序的工作。 P&gt; 这里</p><p>所以,我希望有人可以点我在正确的方向给出的应用要求: P&gt; </p><ul> <li>它需要在后台 li&gt;运行能力 </li><li>这需要发挥所包含的应用程序 li&gt;内的音频文件 </li><li>小青需要能够与声音来自黑莓手机的媒体播放器混合音频文件 li&gt; </li><li>它需要运行一个计时器的能力 li&gt; </li><li>我想的应用提供给尽可能多的BlackBerry设备,较新的像暴风雨,加粗,曲线,也可能是旧的。 li&gt; </li><li>我想这个应用程序是自包含的,且不需要由客户能够运行这个程序之前下载的任何框架。如果框架可以捆绑并与应用程序安装,比这很好。 li&gt; ul&gt; <p>我不是一个黑莓手机的用户,所以我真的不知道它们的区别是这些设备之间的内容。 P&gt; </p><p>据分配我想把它挂在了AppWorld销售,我不知道是否有哪些开发技术,你可以选择任何影响。 P&gt; </p><p>此外,据分配,哪些选项以外AppWorld有哪些?我可以出售自己的应用程序,只是通过电子邮件发送安装说明和应用程序的可执行文件给客户? P&gt;
</p></li></ul>

117 浏览 1 回复
  gt   程序   应用   应用程序   开发  

回复

    <p>如果你想支持的设备最广泛的,你应该针对4.2.2或4.3作为开发环境。最“现代”的设备至少支持4.3或更高版本虽然仍有一些用户停留在4.2.2,因为他们的企业(或供应商)将不会发布更新。 P&gt; </p><p>这意味着你将要使用无论是JDE 4.2.2或4.3.0 JDE用于开发应用程序。请记住,对于风暴(触摸屏)的发展就需要除非你想在“兼容模式”(这很烂)运行使用4.7.0 JDE。 P&gt; </p><p>在开发流程方面,黑莓提供的Eclipse插件工作得很好,和黑莓测试你的应用程序的用户界面,内存使用情况等,提供了相当不错的模拟器,但他们不能模拟真实设备的所有元素,所以我建议购买一个或多个实际设备上测试。 p&gt; </p><p>您所有的要求,应该是除了音频混合可行的。尤其是CDMA设备只能同时播放一个声音,由于硬件,我不知道,甚至GSM设备可以正常同时混合多种音源。 P&gt; </p><p>有关应用程序的分布,应用程序世界是做事情最简单的方法,但也有其他的网站也如crackberry.com,提供出售您的应用程序店面。 P&gt; </p><p>实际的RIM开发者网站很烂,所以我会说你最好检查出的论坛,我发现最有用的是 P&gt; </p><p> http://supportforums.blackberry.com/rim/board?board。 ID = java_dev http://www.blackberryforums.com/developer-forum/ P&gt; </p><p>和你需要的API参考太 P&gt; </p><p> http://www.blackberry.com/developers/docs/ 4.3.0api / index.html的 p&gt;
    </p>

    蒋清康

相关提问


友情链接: